Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api
Interface WebPageOptions

    public interface WebPageOptions

Class `WebPageOptions` provides some methods to return some web page options

Method Summary
`int` | `getActiveRealmScheme()` get the active realm scheme
`boolean` | `getAdHoc()` get if AdHoc feature is enabled.
`java.lang.String` | `getAdhocJspPath()` Get adhoc jsp path
`java.lang.String` | `getAdhocServletPath()` Get adhoc servlet path
`long` | `getAutoRecoverTaskInterval()` Get the default value of auto recover task interval.
`int` | `getAutoRecoverTaskMaxTimes()` Get the default value of auto recover task max times.
`boolean` | `getAutoRecoverTaskRedoAll()` Get the default value of auto recover task redoAll.
`java.lang.String` | `getEngineDefaultEncoding()` get the engine default encoding.
`java.lang.String` | `getHelpPage(java.lang.String key)` get the special local help doc.
`java.lang.String` | `getHelpUrl()` get the local help doc index page.
`java.lang.String` | `getJRServletPath()` Get jreport servlet path
`java.lang.String` | `getJSPWebAppName(java.lang.String propname)` get jsp webapp name from (bin\server.properties)
`java.lang.String` | `getMonitoringWebURL()` Get currently valid and active web url entry of the Monitor Server, that is monitoring to this Server self or the Cluster Admin Server this Server belonged to.
`java.lang.String` | `getMultipleParameterValuesDelimiter()` Get the multiple parameter delimiter
`int` | `getOndemandTaskInitPriority()` Get the initial priority value of On-demand task.
`long` | `getReportWaitTimeouts()` Specifies the try-view time limit, in seconds.
`java.lang.String` | `getRootDirOfFolderSelector()` get the root directory of folder selector.
`int` | `getScheduleTaskInitPriority()` Get the initial priority value of Schedule task.
`java.lang.String` | `getSkinDir()` get the skin directory.
`java.lang.String` | `getSkinDir(HttpServletRequest request)` get the skin directory.
`boolean` | `getToApplet()` Specifies whether to support exporting to "Applet" in the AdvancedRun mode.
`boolean` | `getToDHTML()` Specifies whether to support exporting to "DHTML" in the AdvancedRun mode.
`boolean` | `getToExcel()` Specifies whether to support exporting to "Excel" in the AdvancedRun mode.
`boolean` | `getToHtml()` Specifies whether to support exporting to "HTML" in the AdvancedRun mode.
`boolean` | `getToPdf()` Specifies whether to support exporting to "PDF" in the AdvancedRun mode.
`boolean` | `getToPs()` Specifies whether to support exporting to "PostScript" in the AdvancedRun mode.
`boolean` | `getToRtf()` Specifies whether to support exporting to "Rich Text Format" in the AdvancedRun mode.
`boolean` | `getToText()` Specifies whether to support exporting to "Text" in the AdvancedRun mode.
`boolean` | `getToXML()` Specifies whether to support exporting to "XML" in the AdvancedRun mode.
`java.lang.String` | `getTutorialUrl()` get the online tutorial URL.
`java.lang.String` | `getWebSiteUrl()` get the jinfonet web site URL.
`boolean` | `hasConvertEncOption()` Specifies whether to support convert encoding in the AdvanceRun mode.
`boolean` | `hasDbOption()` Specifies whether to support change default db user and password defined in catalog in the AdvanceRun mode.
`boolean` | `hasEncoding()` Specifies whether to support encoding in the AdvancedRun mode.
`boolean` | `hasNewWindowSameName()` Deprecated. since version 8.
`boolean` | `hasStyleGroupOption()` Specifies whether to support change style group in the AdvanceRun mode.
`boolean` | `hasTaskListener()` Specifies whether to support task listener.
`boolean` | `isEnableDispalyGroupPermissionUI()` Returns the role's permission setting display UI, which is displaying or hiding.
`boolean` | `isEnableDispalyRolePermissionUI()` Returns the role's permission setting display UI, which is displaying or hiding.
`boolean` | `isEnableDispalyUserPermissionUI()` Returns the user's permission setting display UI, which is displaying or hiding.
`boolean` | `isEnableDynamicResource()` Specifies whether to support resources from real path.
`boolean` | `isEnableMonitorLink()` Check whether the monitor link is enabled or not in the Admin page.
`boolean` | `isEnablePageLevelSecurity()` Whether enable page level security when schedule a report that has page level security to version, only take effect on dhtml and html result.
`boolean` | `isEnableRoleBasedAuthorization()` Indicate whether enable role based authorization or not
`boolean` | `isEnableTaskDuration()` Specifies whether enable task duration.
`boolean` | `isMarkUnviewedResultVersion()` Whether show color difference between viewed and un-viewed results on web UI.
`boolean` | `isPipeline()` Specifies whether to support pipeline for try-view reports
`boolean` | `isPromptActionQueueFull()` return whether enable prompt message when action queue is full.
`boolean` | `isPromptTaskQueueFull()` return whether enable prompt message when task queue is full.
`boolean` | `isPublishTempToVersion()` Specifies whether publish temp result to version system is enabled
`boolean` | `isPublishTempToVersion(java.lang.String filename)` Specifies whether publish temp result to version system is enabled
`boolean` | `isShowNameWithPostfix()` Specifies whether to show the file name extensions for the catalog and report files.
`boolean` | `isShowVersionParamContents()` Specifies whether show contents of parameter files in version table
`boolean` | `isWebAdHoc()` Specifies whether enable Adhoc.
`boolean` | `needSecurity()` Check if server needs checking security.
`boolean` | `showCatalogNode()` Specifies whether show catalog node
`boolean` | `usePermissionDialog()` Specifies whether to pop up another html page for the user permissions.
`boolean` | `useRelativeWebAppUrl()` Get the url of given web app name, base on provided

Method Detail

### hasDbOption

    boolean hasDbOption()

  Specifies whether to support change default db user and password defined in catalog in the AdvanceRun mode.

  Returns:

### hasEncoding

    boolean hasEncoding()

  Specifies whether to support encoding in the AdvancedRun mode.

  Returns:
    true if support encoding in the AdvancedRun mode.

### isShowNameWithPostfix

    boolean isShowNameWithPostfix()

  Specifies whether to show the file name extensions for the catalog and report files.

  Returns:
    true if show the file name extensions for the catalog and report files

### usePermissionDialog

    boolean usePermissionDialog()

  Specifies whether to pop up another html page for the user permissions.

  Returns:
    true if pop up another html page for the user permissions.

### useRelativeWebAppUrl

    boolean useRelativeWebAppUrl()

  Get the url of given web app name, base on provided

  Returns:
    a web app url

### hasStyleGroupOption

    boolean hasStyleGroupOption()

  Specifies whether to support change style group in the AdvanceRun mode.

  Returns:

### hasConvertEncOption

    boolean hasConvertEncOption()

  Specifies whether to support convert encoding in the AdvanceRun mode.

  Returns:

### hasTaskListener

    boolean hasTaskListener()

  Specifies whether to support task listener.

  Returns:
    true if support task listener

### getToApplet

    boolean getToApplet()

  Specifies whether to support exporting to "Applet" in the AdvancedRun mode.

  Returns:
    true if support exporting to "Applet" in the AdvancedRun mode.

### getToHtml

    boolean getToHtml()

  Specifies whether to support exporting to "HTML" in the AdvancedRun mode.

  Returns:
    true if support exporting to "HTML" in the AdvancedRun mode.

### getToPdf

    boolean getToPdf()

  Specifies whether to support exporting to "PDF" in the AdvancedRun mode.

  Returns:
    true if support exporting to "PDF" in the AdvancedRun mode.

### getToText

    boolean getToText()

  Specifies whether to support exporting to "Text" in the AdvancedRun mode.

  Returns:
    true if support exporting to "Text" in the AdvancedRun mode.

### getToExcel

    boolean getToExcel()

  Specifies whether to support exporting to "Excel" in the AdvancedRun mode.

  Returns:
    true if support exporting to "Excel" in the AdvancedRun mode.

### getToPs

    boolean getToPs()

  Specifies whether to support exporting to "PostScript" in the AdvancedRun mode.

  Returns:
    true if support exporting to "PostScript" in the AdvancedRun mode.

### getToRtf

    boolean getToRtf()

  Specifies whether to support exporting to "Rich Text Format" in the AdvancedRun mode.

  Returns:
    true if support exporting to "Rich Text Format" in the AdvancedRun mode.

### getToXML

    boolean getToXML()

  Specifies whether to support exporting to "XML" in the AdvancedRun mode.

  Returns:
    true if support exporting to "XML" in the AdvancedRun mode.

### getToDHTML

    boolean getToDHTML()

  Specifies whether to support exporting to "DHTML" in the AdvancedRun mode.

  Returns:
    true if support exporting to "DHTML" in the AdvancedRun mode.

### hasNewWindowSameName

    boolean hasNewWindowSameName()

  Deprecated. since version 8.

  Specifies whether new windows use the same name when browser pops up DHTML window

  Returns:
    whether new windows use the same name when browser pops up DHTML window

### isShowVersionParamContents

    boolean isShowVersionParamContents()

  Specifies whether show contents of parameter files in version table

  Returns:
    true if show contents of parameter files in version table

### isPublishTempToVersion

    boolean isPublishTempToVersion()

  Specifies whether publish temp result to version system is enabled

  Returns:
    true if it is enabled, false if it is disnabled.

### isPublishTempToVersion

    boolean isPublishTempToVersion(java.lang.String filename)

  Specifies whether publish temp result to version system is enabled

  Parameters:
    `filename` -
  Returns:
    true if it is enabled, false if it is disnabled.

### isPipeline

    boolean isPipeline()

  Specifies whether to support pipeline for try-view reports

  Returns:
    true if support pipeline for try-view reports

### needSecurity

    boolean needSecurity()

  Check if server needs checking security.

  Returns:
    true if server needs checking security.

### getReportWaitTimeouts

    long getReportWaitTimeouts()

  Specifies the try-view time limit, in seconds. Any running report (submitted using Run or AdvancedRun command) will be considered as a large report and put into the On-demands report list (Large Report list before v6).

  Returns:
    the time limit number.

### getJSPWebAppName

    java.lang.String getJSPWebAppName(java.lang.String propname)

  get jsp webapp name from (bin\server.properties)

  Parameters:
    `propname` - the property name that record this webapp eg. propname "jsp.webapp.sendfile" sendfile's webapp name "\servlet\sendfile"

### getAdhocServletPath

    java.lang.String getAdhocServletPath()

  Get adhoc servlet path

  Returns:
    the adhoc servlet path

### getAdhocJspPath

    java.lang.String getAdhocJspPath()

  Get adhoc jsp path

  Returns:
    the adhoc jsp path

### getJRServletPath

    java.lang.String getJRServletPath()

  Get jreport servlet path

  Returns:
    the jreport servlet path

### getAdHoc

    boolean getAdHoc()

  get if AdHoc feature is enabled.

  Returns:
    true if this key is AdHoc enabled, false otherwise.

### getActiveRealmScheme

    int getActiveRealmScheme()

  get the active realm scheme

  Returns:

### getEngineDefaultEncoding

    java.lang.String getEngineDefaultEncoding()

  get the engine default encoding.

  Returns:

### isEnableDynamicResource

    boolean isEnableDynamicResource()

  Specifies whether to support resources from real path.

  Returns:
    true if support resources from real path.

### showCatalogNode

    boolean showCatalogNode()

  Specifies whether show catalog node

  Returns:
    true if show catalog node

### getWebSiteUrl

    java.lang.String getWebSiteUrl()

  get the jinfonet web site URL.

  Returns:
    jinfonet web site URL

### getHelpUrl

    java.lang.String getHelpUrl()

  get the local help doc index page.

  Returns:
    local help doc index page

### getHelpPage

    java.lang.String getHelpPage(java.lang.String key)

  get the special local help doc.

  Returns:
    special local help doc

### getTutorialUrl

    java.lang.String getTutorialUrl()

  get the online tutorial URL.

  Returns:
    online tutorial URL.

### getSkinDir

    java.lang.String getSkinDir()

  get the skin directory.

  Returns:
    skin directory

### getRootDirOfFolderSelector

    java.lang.String getRootDirOfFolderSelector()

  get the root directory of folder selector.

  Returns:
    root directory of folder selector

### isEnableRoleBasedAuthorization

    boolean isEnableRoleBasedAuthorization()

  Indicate whether enable role based authorization or not

  Returns:
    true is enable, false is disenable

### isEnableDispalyUserPermissionUI

    boolean isEnableDispalyUserPermissionUI()

  Returns the user's permission setting display UI, which is displaying or hiding.

  Returns:
    "true" means displaying, "false" means hiding.

### isEnableDispalyRolePermissionUI

    boolean isEnableDispalyRolePermissionUI()

  Returns the role's permission setting display UI, which is displaying or hiding.

  Returns:
    "true" means displaying, "false" means hiding.

### isEnableDispalyGroupPermissionUI

    boolean isEnableDispalyGroupPermissionUI()

  Returns the role's permission setting display UI, which is displaying or hiding.

  Returns:
    "true" means displaying, "false" means hiding.

### getMultipleParameterValuesDelimiter

    java.lang.String getMultipleParameterValuesDelimiter()

  Get the multiple parameter delimiter

  Returns:
    The delimiter

### getMonitoringWebURL

    java.lang.String getMonitoringWebURL()

  Get currently valid and active web url entry of the Monitor Server, that is monitoring to this Server self or the Cluster Admin Server this Server belonged to.

  Returns:
    the valid and active monitoring web url. This method firstly check whether there is a valid and active web url of its own Monitor Server. If not it will attempt to check the one of its Cluster Admin Server. If both of the two steps are failed, it will return null.

### isEnableMonitorLink

    boolean isEnableMonitorLink()

  Check whether the monitor link is enabled or not in the Admin page.

  Returns:
    true, if the monitor link is enabled.

### getAutoRecoverTaskMaxTimes

    int getAutoRecoverTaskMaxTimes()

  Get the default value of auto recover task max times.

  Returns:
    the int value of auto recover task max times.

### getAutoRecoverTaskInterval

    long getAutoRecoverTaskInterval()

  Get the default value of auto recover task interval.

  Returns:
    the long value of auto recover task interval.

### getAutoRecoverTaskRedoAll

    boolean getAutoRecoverTaskRedoAll()

  Get the default value of auto recover task redoAll.

  Returns:
    true if the default value of auto recover task redoAll is set to true.

### isEnableTaskDuration

    boolean isEnableTaskDuration()

  Specifies whether enable task duration.

  Returns:
    true if enalbe task duration

### isWebAdHoc

    boolean isWebAdHoc()

  Specifies whether enable Adhoc.

  Returns:
    true if enalbe Adhoc

### getOndemandTaskInitPriority

    int getOndemandTaskInitPriority()

  Get the initial priority value of On-demand task.

### getScheduleTaskInitPriority

    int getScheduleTaskInitPriority()

  Get the initial priority value of Schedule task.

### getSkinDir

    java.lang.String getSkinDir(HttpServletRequest request)

  get the skin directory.

  Returns:
    skin directory

### isPromptTaskQueueFull

    boolean isPromptTaskQueueFull()

  return whether enable prompt message when task queue is full.

  Returns:
    true is enable, false is disenable

### isPromptActionQueueFull

    boolean isPromptActionQueueFull()

  return whether enable prompt message when action queue is full.

  Returns:
    true is enable, false is disenable

### isMarkUnviewedResultVersion

    boolean isMarkUnviewedResultVersion()

  Whether show color difference between viewed and un-viewed results on web UI.

  Returns:
    true if show color difference between viewed and un-viewed results on web UI.

### isEnablePageLevelSecurity

    boolean isEnablePageLevelSecurity()

  Whether enable page level security when schedule a report that has page level security to version, only take effect on dhtml and html result.

  Returns:
    true if enable page level security, otherwise false.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD